## r-cran-ggraph 2.0.1

=== DESCRIPTION ===
Package: ggraph
Type: Package
Title: An Implementation of Grammar of Graphics for Graphs and Networks
Version: 2.0.1
Authors@R: 
    c(person(given = "Thomas Lin",
             family = "Pedersen",
             role = c("cre", "aut"),
             email = "thomasp85@gmail.com",
             comment = c(ORCID = "0000-0002-5147-4711")),
      person(given = "RStudio",
             role = "cph"))
Maintainer: Thomas Lin Pedersen <thomasp85@gmail.com>
Description: The grammar of graphics as implemented in ggplot2 is a poor fit for
    graph and network visualizations due to its reliance on tabular data input.
    ggraph is an extension of the ggplot2 API tailored to graph visualizations
    and provides the same flexible approach to building up plots layer by layer.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: TRUE
Imports: Rcpp (>= 0.12.2), dplyr, ggforce (>= 0.3.1), grid, igraph (>=
        1.0.0), scales, MASS, digest, gtable, ggrepel, utils, stats,
        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0)
Suggests: network, knitr, rmarkdown, purrr, tibble, seriation, deldir,
        gganimate
LinkingTo: Rcpp
RoxygenNote: 7.0.2
Depends: R (>= 2.10), ggplot2 (>= 3.0.0)
VignetteBuilder: knitr
URL: https://ggraph.data-imaginist.com,
        https://github.com/thomasp85/ggraph
BugReports: https://github.com/thomasp85/ggraph/issues
NeedsCompilation: yes
Packaged: 2020-02-07 10:43:31 UTC; thomas
Author: Thomas Lin Pedersen [cre, aut]
    (<https://orcid.org/0000-0002-5147-4711>),
  RStudio [cph]
Repository: CRAN
Date/Publication: 2020-02-07 12:10:18 UTC

=== debian/changelog ===
r-cran-ggraph (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 11:03:33 +0100

r-cran-ggraph (2.0.0-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 20:29:46 +0100

r-cran-ggraph (2.0.0-1) unstable; urgency=medium

  * Initial release (closes: #945106)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 22:01:12 +0100

=== debian/control ===
Source: r-cran-ggraph
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-rcpp (>= 0.12.2),
               r-cran-dplyr,
               r-cran-ggforce,
               r-cran-igraph,
               r-cran-scales,
               r-cran-mass,
               r-cran-digest,
               r-cran-gtable,
               r-cran-ggrepel,
               r-cran-viridis,
               r-cran-rlang,
               r-cran-tidygraph,
               r-cran-graphlayouts
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
Homepage: https://cran.r-project.org/package=ggraph

Package: r-cran-ggraph
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R implementation of grammar of graphics for graphs and networks
 The grammar of graphics as implemented in ggplot2 is a poor fit for
 graph and network visualizations due to its reliance on tabular data input.
 ggraph is an extension of the ggplot2 API tailored to graph visualizations
 and provides the same flexible approach to building up plots layer by layer.

## r-cran-ggraph 2.0.3

=== debian/changelog ===
r-cran-ggraph (2.0.3-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:15:55 +0000

r-cran-ggraph (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 12:03:05 +0200

r-cran-ggraph (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 15:02:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-ggraph
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -25,6 +26,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph
+Rules-Requires-Root: no
 
 Package: r-cran-ggraph
 Architecture: any

## r-cran-ggraph 2.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggraph
 Type: Package
 Title: An Implementation of Grammar of Graphics for Graphs and Networks
-Version: 2.0.1
+Version: 2.0.4
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -20,20 +20,20 @@
 LazyData: TRUE
 Imports: Rcpp (>= 0.12.2), dplyr, ggforce (>= 0.3.1), grid, igraph (>=
         1.0.0), scales, MASS, digest, gtable, ggrepel, utils, stats,
-        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0)
+        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0), withr
 Suggests: network, knitr, rmarkdown, purrr, tibble, seriation, deldir,
-        gganimate
+        gganimate, covr
 LinkingTo: Rcpp
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Depends: R (>= 2.10), ggplot2 (>= 3.0.0)
 VignetteBuilder: knitr
 URL: https://ggraph.data-imaginist.com,
         https://github.com/thomasp85/ggraph
 BugReports: https://github.com/thomasp85/ggraph/issues
 NeedsCompilation: yes
-Packaged: 2020-02-07 10:43:31 UTC; thomas
+Packaged: 2020-11-16 08:06:53 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-02-07 12:10:18 UTC
+Date/Publication: 2020-11-16 09:10:03 UTC

=== debian/changelog ===
r-cran-ggraph (2.0.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 11:31:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-ggraph
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2 (>= 3.0.0),
@@ -21,8 +20,9 @@
                r-cran-viridis,
                r-cran-rlang,
                r-cran-tidygraph,
-               r-cran-graphlayouts
-Standards-Version: 4.5.0
+               r-cran-graphlayouts,
+               r-cran-withr
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph

## r-cran-ggraph 2.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggraph
 Type: Package
 Title: An Implementation of Grammar of Graphics for Graphs and Networks
-Version: 2.0.4
+Version: 2.0.5
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -31,9 +31,9 @@
         https://github.com/thomasp85/ggraph
 BugReports: https://github.com/thomasp85/ggraph/issues
 NeedsCompilation: yes
-Packaged: 2020-11-16 08:06:53 UTC; thomas
+Packaged: 2021-02-22 15:00:12 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2020-11-16 09:10:03 UTC
+Date/Publication: 2021-02-23 12:20:30 UTC

=== debian/changelog ===
r-cran-ggraph (2.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 10:03:06 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                r-cran-tidygraph,
                r-cran-graphlayouts,
                r-cran-withr
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggraph_([-\d.]*)\.tar\.gz

## r-cran-ggraph 2.0.6+dfsg

=== debian/changelog ===
r-cran-ggraph (2.0.6+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 14:50:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 3.0.0),
-               r-cran-rcpp (>= 0.12.2),
+               r-cran-ggplot2,
+               r-cran-rcpp,
                r-cran-dplyr,
                r-cran-ggforce,
                r-cran-igraph,
@@ -22,7 +22,7 @@
                r-cran-tidygraph,
                r-cran-graphlayouts,
                r-cran-withr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph

## r-cran-ggraph 2.1.0%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/ggraph_([-\d.]*)\.tar\.gz

## r-cran-ggraph 2.1.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggraph
 Type: Package
 Title: An Implementation of Grammar of Graphics for Graphs and Networks
-Version: 2.0.5
+Version: 2.1.0
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -20,20 +20,21 @@
 LazyData: TRUE
 Imports: Rcpp (>= 0.12.2), dplyr, ggforce (>= 0.3.1), grid, igraph (>=
         1.0.0), scales, MASS, digest, gtable, ggrepel, utils, stats,
-        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0), withr
+        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0), withr, cli,
+        vctrs, lifecycle
 Suggests: network, knitr, rmarkdown, purrr, tibble, seriation, deldir,
         gganimate, covr
 LinkingTo: Rcpp
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 Depends: R (>= 2.10), ggplot2 (>= 3.0.0)
 VignetteBuilder: knitr
 URL: https://ggraph.data-imaginist.com,
         https://github.com/thomasp85/ggraph
 BugReports: https://github.com/thomasp85/ggraph/issues
 NeedsCompilation: yes
-Packaged: 2021-02-22 15:00:12 UTC; thomas
+Packaged: 2022-10-05 07:34:05 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2021-02-23 12:20:30 UTC
+Date/Publication: 2022-10-09 20:33:19 UTC

=== debian/changelog ===
r-cran-ggraph (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 11:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,10 @@
                r-cran-rlang,
                r-cran-tidygraph,
                r-cran-graphlayouts,
-               r-cran-withr
+               r-cran-withr,
+               r-cran-cli,
+               r-cran-vctrs,
+               r-cran-lifecycle
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git

## r-cran-ggraph 2.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: ggraph
 Type: Package
 Title: An Implementation of Grammar of Graphics for Graphs and Networks
-Version: 2.1.0
+Version: 2.2.1
 Authors@R: 
     c(person(given = "Thomas Lin",
              family = "Pedersen",
@@ -18,23 +18,22 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 LazyData: TRUE
-Imports: Rcpp (>= 0.12.2), dplyr, ggforce (>= 0.3.1), grid, igraph (>=
-        1.0.0), scales, MASS, digest, gtable, ggrepel, utils, stats,
-        viridis, rlang, tidygraph, graphlayouts (>= 0.5.0), withr, cli,
-        vctrs, lifecycle
+Imports: dplyr, ggforce (>= 0.3.1), grid, igraph (>= 1.0.0), scales,
+        MASS, ggrepel, utils, stats, viridis, rlang, tidygraph,
+        graphlayouts (>= 1.1.0), withr, cli, vctrs, lifecycle, memoise
 Suggests: network, knitr, rmarkdown, purrr, tibble, seriation, deldir,
-        gganimate, covr
-LinkingTo: Rcpp
-RoxygenNote: 7.2.1
-Depends: R (>= 2.10), ggplot2 (>= 3.0.0)
+        gganimate, covr, sf, sfnetworks
+LinkingTo: cpp11
+RoxygenNote: 7.3.1
+Depends: R (>= 2.10), ggplot2 (>= 3.5.0)
 VignetteBuilder: knitr
 URL: https://ggraph.data-imaginist.com,
         https://github.com/thomasp85/ggraph
 BugReports: https://github.com/thomasp85/ggraph/issues
 NeedsCompilation: yes
-Packaged: 2022-10-05 07:34:05 UTC; thomas
+Packaged: 2024-03-07 08:24:28 UTC; thomas
 Author: Thomas Lin Pedersen [cre, aut]
     (<https://orcid.org/0000-0002-5147-4711>),
   RStudio [cph]
 Repository: CRAN
-Date/Publication: 2022-10-09 20:33:19 UTC
+Date/Publication: 2024-03-07 12:40:02 UTC

=== debian/changelog ===
r-cran-ggraph (2.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 05 Sep 2024 08:52:14 +0900

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,24 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2,
-               r-cran-rcpp,
+               r-cran-ggplot2 (>= 3.5.0),
                r-cran-dplyr,
                r-cran-ggforce,
                r-cran-igraph,
                r-cran-scales,
                r-cran-mass,
-               r-cran-digest,
-               r-cran-gtable,
                r-cran-ggrepel,
                r-cran-viridis,
                r-cran-rlang,
                r-cran-tidygraph,
-               r-cran-graphlayouts,
+               r-cran-graphlayouts (>= 1.1.0),
                r-cran-withr,
                r-cran-cli,
                r-cran-vctrs,
-               r-cran-lifecycle
-Standards-Version: 4.6.1
+               r-cran-lifecycle,
+               r-cran-memoise,
+               r-cran-cpp11
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph

## r-cran-ggraph 2.2.2+dfsg

=== debian/changelog ===
r-cran-ggraph (2.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 10:37:20 +0900

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,10 @@
                r-cran-vctrs,
                r-cran-lifecycle,
                r-cran-memoise,
-               r-cran-cpp11
-Standards-Version: 4.7.0
+               r-cran-cpp11,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggraph
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggraph.git
 Homepage: https://cran.r-project.org/package=ggraph
